apply from: "../lib_default_config.gradle"
apply plugin: 'dagger.hilt.android.plugin'

dependencies {

    //noinspection GradleDependency
    api "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    api "org.jetbrains.kotlin:kotlin-stdlib-jdk8:$kotlin_version"
//    implementation "org.jetbrains.kotlin:kotlin-reflect:$kotlin_version"

    //路由
    api project(':cs_router')

    //AndroidX
    api deps.android.appcompat
    api deps.android.constraint_layout
    api deps.android.recyclerview
    api deps.android.design
    api deps.android.multidex
    //Fragment与Activity的ViewModel扩展（Hilt必须）
    api deps.android.fragment_ktx

    //Kotlin相关
    api deps.android.kt_ktx
    api deps.android.ktx_coroutines_core
    api deps.android.ktx_coroutines_android
    api deps.android.lifecycle
    api deps.android.lifecycle_ktx

    //图片
    implementation deps.support.glide
    implementation deps.support.glide_annotation
    implementation deps.support.glide_integration
    kapt deps.support.glide_compiler

    //gif图片加载
    api deps.support.gif_drawable
    //RV悬停
    api deps.support.sticky_decoration
    //PickerView
    api deps.support.picker_view

    //网络相关
    api deps.support.retrofit2
    api deps.support.retrofit_gson
    api deps.support.okio
    //Gson转换容错处理
    api deps.support.gson_factory

    //SP(Key Value Cache)
    api deps.support.data_store_core
    api deps.support.data_store
    //权限管理
    implementation deps.support.permission
    //吐司
    implementation deps.support.toast_util
    //消息传递
    api deps.support.live_bus
    //RV Adapter
    api deps.support.brvah

    //刷新布局
    api deps.support.smart_refresh_core
    api deps.support.smart_refresh_head

    //XPopup弹窗
    api project(':lib_xpopup')

    //图片选择：带luban，ucorp
    api(deps.support.picture_selector) {
        exclude group: 'androidx.recyclerview'
        exclude group: 'androidx.appcompat'
        exclude group: 'com.google.android.material'
        exclude group: 'androidx.camera'
        exclude group: 'androidx.activity'
    }

    //轮播图Banner 排除内部ViewPager2
    api(deps.support.banner) {
        exclude group: 'androidx.viewpager2'
        exclude group: 'androidx.recyclerview'
        exclude group: 'androidx.appcompat'
        exclude group: 'androidx.activity'
    }

    //圆角控件
    api(deps.support.round_layout) {
        exclude group: 'androidx.core'
        exclude group: 'androidx.appcompat'
        exclude group: 'com.google.android.material'
        exclude group: 'androidx.activity'
    }
}
